Skip to main content
`Ctrl`+`K`

# PetscDSRegisterAll

Registers all of the `PetscDS` components in the `PetscDS` package.

## Synopsis

    #include "petscdm.h"
    #include "petscdmplex.h"
    #include "petscfe.h"
    #include "petscfv.h"
    #include "petscds.h"
    PetscErrorCode PetscDSRegisterAll(void)

Not Collective

## See Also

`PetscDSRegister()`, `PetscDSRegisterDestroy()`

## Level

advanced

## Location

src/dm/interface/dmregall.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages